WordPress.org

Ready to get started?Download WordPress

Forums

Page Security by Contexture
[resolved] [feature request] WPML support and body classes (6 posts)

  1. eqhes
    Member
    Posted 2 years ago #

    First of all, THANK YOU for this plugin ;).

    I have got two feature requests you might consider in an upcoming release:

    • Make your plugin compatible with WPML (multi-language content support): http://wpml.org/
    • Add new options in the options list to set custom class names to the access denied/permitted pages' body. Something like "custom body classes for Authenticated Users" and "custom body classes for Anonymous Users" text boxes. By default we could use something like "accessdenied" and "accessgranted" plus auto-generated classes like "group-groupname". This will let us more control over the page appearance.

    That's all :).

    http://wordpress.org/extend/plugins/contexture-page-security/

  2. Matt van Andel
    Member
    Plugin Author

    Posted 2 years ago #

    Great ideas!

    I'll add these to my to-do's for PSC. Chances are there won't be a feature update until February (although I'm going to push some bug fixes out this week, so help me God) - since this time of year is just insanely busy.

    Keep the good ideas, flowing though. I love packing in new features when I can.

  3. AmirHelzer
    Member
    Posted 2 years ago #

    Sorry for crashing on this thread. Just to let you all know that we provide free accounts for theme and plugin developers for WPML:
    http://wpml.org/documentation/theme-compatibility/go-global-program/

  4. eqhes
    Member
    Posted 2 years ago #

    Hi Veraxus,

    I have edited the latest version of your plugin (1.5.4) to be WPML compatible. Check changes here: http://pastebin.com/yt5Rx71p (look for "//edit" to find the lines I have changed).

    Merry Christmas! :D

  5. Matt van Andel
    Member
    Plugin Author

    Posted 2 years ago #

    Thanks eqhes, I'll roll those changes into the next release! :-)

  6. Matt van Andel
    Member
    Plugin Author

    Posted 2 years ago #

    I completely forgot about this.

    I just pushed 1.5.6 and then remembered this thread. I just rolled the updates into the trunk, but it's too late for 1.5.6.

    Here's the WPML-compatible version of CTXPS_Security.php:

    http://pastebin.com/dQzw2T6C

    Just replace the contents of the PHP file and that should save you some work. Future PSC releases will include this by default.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic